include:
  - project: 'mathezirkel/server/server-administration'
    file: '/.gitlab/ci/base.template.yml'
  - project: 'mathezirkel/server/server-administration'
    file: '/.gitlab/ci/lint.template.yml'
  - project: 'mathezirkel/server/server-administration'
    file: '/.gitlab/ci/test.template.yml'
  - project: 'mathezirkel/server/server-administration'
    file: '/.gitlab/ci/helm-chart.template.yml'

variables:
  NAMESPACE: 'nextcloud'
  RELEASE_NAME: 'nextcloud'

package:
  extends:
    - .package_helm_chart

release:
  extends:
    - .publish_helm_chart

deploy:
  extends:
    - .apply_helm_chart
